Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.config
Class WebXMLParser

    java.lang.Object
      org.ajax4jsf.config.WebXMLParser

Direct Known Subclasses:
  WebXml

Deprecated.

    @Deprecated
    public class WebXMLParser

extends java.lang.Object

Author:
  asmirnov

Field Summary
`static java.lang.String` | `WEB_XML` Deprecated.

Constructor Summary
`WebXMLParser()` Deprecated.

Method Summary
`java.lang.String` | `getFacesFilterPrefix()` Deprecated.
`java.lang.String` | `getFacesFilterSuffix()` Deprecated.
`java.util.List<java.lang.String>` | `getFacesServletMappings()` Deprecated.
`java.lang.String` | `getFacesServletPrefix()` Deprecated.
`java.lang.String` | `getFacesServletSuffix()` Deprecated.
`void` | `init(java.io.InputStream webXml, java.lang.String filterName)` Deprecated.
`void` | `init(javax.servlet.ServletContext portletContext, java.lang.String filterName)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WEB_XML

    public static final java.lang.String WEB_XML

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### WebXMLParser

    public WebXMLParser()

  Deprecated.

Method Detail

### init

    public void init(java.io.InputStream webXml,
                     java.lang.String filterName)
              throws ParsingException

  Deprecated.
  Throws:
    `ParsingException`

### getFacesServletMappings

    public java.util.List<java.lang.String> getFacesServletMappings()

  Deprecated.

### getFacesFilterPrefix

    public java.lang.String getFacesFilterPrefix()

  Deprecated.
  Returns:
    the facesFilterPrefix

### getFacesFilterSuffix

    public java.lang.String getFacesFilterSuffix()

  Deprecated.
  Returns:
    the facesFilterSuffix

### getFacesServletPrefix

    public java.lang.String getFacesServletPrefix()

  Deprecated.
  Returns:
    the facesServletPrefix

### getFacesServletSuffix

    public java.lang.String getFacesServletSuffix()

  Deprecated.
  Returns:
    the facesServletSuffix

### init

    public void init(javax.servlet.ServletContext portletContext,
                     java.lang.String filterName)
              throws javax.servlet.ServletException

  Deprecated.
  Throws:
    `javax.servlet.ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.